eval::See::FindEffectMore Struct Reference

## Public Member Functions

template<Player P, Ptype Type>
void | doActionPtype (Piece p)
template<Player P>
void | doAction (Piece p, Square)
void | store (Piece p)

## Public Attributes

PtypeOSquareVector * | direct
PtypeOSquareVector * | more
Square | target
const NumEffectState * | state

## Detailed Description

Definition at line 7 of file see.cc.

## Member Function Documentation

## doAction()

template<Player P>

void eval::See::FindEffectMore::doAction | ( | Piece | p,
|  | Square | )

inline

Definition at line 17 of file see.cc.

References store().

## doActionPtype()

template<Player P, Ptype Type>

void eval::See::FindEffectMore::doActionPtype | ( | Piece | p | ) |

inline

Definition at line 15 of file see.cc.

References store().

## store()

void eval::See::FindEffectMore::store | ( | Piece | p | ) |

Definition at line 21 of file see.cc.

References direct, more, state, and target.

Referenced by doAction(), and doActionPtype().

## Member Data Documentation

## direct

PtypeOSquareVector* eval::See::FindEffectMore::direct

Definition at line 9 of file see.cc.

Referenced by store().

## more

PtypeOSquareVector* eval::See::FindEffectMore::more

Definition at line 10 of file see.cc.

Referenced by store().

## state

const NumEffectState* eval::See::FindEffectMore::state

Definition at line 12 of file see.cc.

Referenced by store().

## target

Square eval::See::FindEffectMore::target

Definition at line 11 of file see.cc.

Referenced by store().

The documentation for this struct was generated from the following file:

- see.cc